#include "cproductsidedriver.h"
#include "cproductside.h"
#include "logic_local_def.h"
CProductSideDriver::CProductSideDriver(const QString &name, int32_t id)
    :CDriverCard(name,id)
{

}

CProductSideDriver::~CProductSideDriver()
{

}

void CProductSideDriver::ResetSide(int32_t iSideID, bool bRsetCutLine/*=true*/)
{
	CProductSide* pSide=(CProductSide*)FindChannel(iSideID);
	Q_ASSERT(pSide);
	//重置切割道
	if(true == bRsetCutLine){
		pSide->m_realCenter.Reset();

		pSide->m_dLevelAngle=pSide->m_Variants.get_VData(Var_ProductSide_InitAngle)
		->toDouble();
		pSide->m_dSolidBasePosX=0;
		pSide->m_CutLineVector.clear();
	}
}

